#!/usr/bin/env php
<?php

if ($argc < 3) {
    echo "❌ Użycie: php delete_user.php UID /ścieżka/do/drupala\n";
    exit(1);
}

$uid = (int) $argv[1];
$drupal_path = $argv[2];

// Ustaw sztuczne IP dla CLI
if (php_sapi_name() == 'cli') {
    $_SERVER['REMOTE_ADDR'] = '127.0.0.1';
}

define('DRUPAL_ROOT', $drupal_path);
chdir(DRUPAL_ROOT);
require_once DRUPAL_ROOT . '/includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);

// Sprawdź czy użytkownik istnieje
$account = db_fetch_object(db_query("SELECT uid, name, status FROM {users} WHERE uid = %d", $uid));
if (!$account) {
    echo "⚠️ Użytkownik $uid nie istnieje.\n";
    exit(0);
}

// Ustaw status = 0 (soft delete)
db_query("UPDATE {users} SET status = 0 WHERE uid = %d", $uid);
echo "✅ Użytkownik $uid został zdezaktywowany (soft delete).\n";
